classification
Title: freeze.py makefile uses the wrong flags variables
Type: behavior Stage: resolved
Components: Build Versions: Python 3.6, Python 3.5
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: Alex.Willmer, Daniel Shaulov, brett.cannon, python-dev, twouters
Priority: normal Keywords: patch

Created on 2016-02-02 23:02 by Daniel Shaulov, last changed 2016-03-18 17:31 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
pyflags.patch Daniel Shaulov, 2016-02-02 23:02 add PY_ to all FLAGS review
Messages (5)
msg259444 - (view) Author: Daniel Shaulov (Daniel Shaulov) * Date: 2016-02-02 23:02
Tools/Freeze/makemakefile.py uses CFLAGS, LDFLAGS and CPPFLAGS instead of the PY_ prefixed versions. This makes flags passed to ./configure ineffective.

The patch makes the trivial fix of adding PY_ when needed.
msg261075 - (view) Author: Daniel Shaulov (Daniel Shaulov) * Date: 2016-03-01 21:23
Pinging after a month without review (as the devguide suggests).
msg261224 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-03-05 21:03
Quick review suggests Daniel's patch does the right thing (based on Tools/freeze/test and looking at the generated Makefile which has PY_LDFLAGS defined).

Don't have time to commit it right now, but I will in the near future.
msg261979 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-03-18 17:30
New changeset 599328247e84 by Brett Cannon in branch '3.5':
Issue #26271: Fix the Freeze tool to use variables passed in from the
https://hg.python.org/cpython/rev/599328247e84

New changeset 364895e54bb0 by Brett Cannon in branch 'default':
Merge for issue #26271
https://hg.python.org/cpython/rev/364895e54bb0
msg261980 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-03-18 17:31
Thanks for the patch, Daniel! Added you to the ACKS file.
History
Date User Action Args
2016-03-18 17:31:03brett.cannonsetstatus: open -> closed

messages: + msg261980
stage: commit review -> resolved
2016-03-18 17:30:31python-devsetnosy: + python-dev
messages: + msg261979
2016-03-07 21:45:28Alex.Willmersetnosy: + Alex.Willmer
2016-03-05 21:03:21brett.cannonsetnosy: + brett.cannon
messages: + msg261224

assignee: brett.cannon
stage: commit review
2016-03-01 21:23:45Daniel Shaulovsetmessages: + msg261075
2016-02-04 15:42:07SilentGhostsetnosy: + twouters
2016-02-02 23:02:15Daniel Shaulovcreate